/* $Id: lab-timer.h,v 1.4 1999/03/05 15:15:16 bunka Exp bunka $
 * config definitions for lab-timer
 *
 * 
 * Lab3Timer
 *
 * Copyright (C) 1999, Sebastian Bunka
 *
 * Distributed under the terms of the GNU GPL
 *
 *
 */
char *l3t_version = "Version: 0.4";
char *my_date = "05-Mar-99";

/* #include "logo1.xpm" */ 		/* The logo on the top */ 
/* #define LOGONORMAL logo1_xpm */	/* the internal array name of logo */

/* alternative - less colors */

#include "logo2.xpm" 
#define LOGONORMAL logo2_xpm

#include "logo3.xpm"
#define LOGOSMALL logo3_xpm

#include "l3t_normal.xpm"	/* iconified program logo */
#define ICON_NORM l3t_normal_xpm
#include "l3t_alarm.xpm"	/* iconified program red face logo */
#define ICON_ALARM l3t_alarm_xpm

#define APP_HOME "<http://i112pc09.vu-wien.ac.at/~bunka/software/Lab3Timer.html>"


/* the about message */
#define ABOUT \
"Lab3Timer\n \
(c) 1999, Sebastian Bunka <Sebastian.Bunka@vu-wien.ac.at>\n \
A small Laboratory Triple Timer Application.\n"




/* 
   ##################################################
   global variable definitions 
   ##################################################
*/

extern char *l3t_version;		/* defined in my_config.h */
extern char *my_date;                   /* defined in my_config.h */


int help_ok = 0;			/* prevent overload in show_help_win */
Pixmap t_icon1, t_icon2, mask1, mask2; 	/* for the icon pixmaps */
unsigned w,h;                          	/* icons w + h */
char time_buf[32];			/* for the timer filter function */
char exp_buf[64];			/* time filter function */
int t_select;				/* the selected timer num */
int alarm_icon = 0;			/* set to 1 if alarm icon is active */
int timer_blinking[3] = {0,0,0};	/* which timer is blinking */
long exp_sec[3];			/* get the time a timer expired in sec since 1970 */
long exp_usec[3];			/* same but usecs function fl_gettime needs this */
int t_is_running[3] = { 0, 0, 0}; 	/* no timer is running  need this global */
int t_stopped[3] = { 0,0,0};  		/* get stop status     */
int tiny_mode, no_popup, linux_beep, no_tips,x_pos,y_pos; /* for Xresources */
char run_prog[128];

/* define Xresources can also be set on command line */

FL_resource res[] =
{
	{"tinyMode","Lab3Timer",FL_INT,&tiny_mode,"0"},
	{"noPopup","Lab3Timer",FL_INT,&no_popup,"0"},
	{"linuxBeep","Lab3Timer",FL_INT,&linux_beep,"0"},
	{"noTips","Lab3Timer",FL_INT,&no_tips,"0"},
	{"xPos","Lab3Timer",FL_INT,&x_pos,"0"},
	{"yPos","Lab3Timer",FL_INT,&y_pos,"0"},
	{"exeProg","Lab3Timer",FL_STRING,&run_prog[0],"",128}
};


/* ##################################################
   function prototypes 
   ##################################################   
*/

void usage(void);
char *timer_filter(FL_OBJECT *ob, double secs);
char *exp_filter(int my_timer, double secs);
void show_help_window(void);
void alarm_linux(int freq, int length);
void timer_expired(FL_OBJECT *ob, long data);
int post_timer(FL_OBJECT *ob, int ev, FL_Coord mx, FL_Coord y, int key, void *xev);
extern void create_form_layout(void);
extern void create_form_msg_window(void);
extern void create_form_help_window(void);
int post_tip(FL_OBJECT *ob, int event, FL_Coord mx, FL_Coord my, int key, void *xev);
void set_tip(FL_OBJECT *ob, char *s);
int check_blink(int expired);
void get_cmdl(int argc, char *argv[]);

